Last Comment Bug 590144 - The deadline is not kept in saved searches when set to 'Now'
: The deadline is not kept in saved searches when set to 'Now'
Status: RESOLVED FIXED
[3.6 and 4.0 only; 4.1 not affected]
: regression
Product: Bugzilla
Classification: Server Software
Component: Query/Bug List (show other bugs)
: 3.6.2
: All All
: -- minor (vote)
: Bugzilla 3.6
Assigned To: Frédéric Buclin
: default-qa
:
Mentors:
Depends on: 283609
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 08:03 PDT by Rick
Modified: 2010-09-02 11:59 PDT (History)
1 user (show)
LpSolit: approval4.0+
LpSolit: approval3.6+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch for 3.6 and 4.0, v1 (1.76 KB, patch)
2010-09-01 15:15 PDT, Frédéric Buclin
gregaryh: review+
Details | Diff | Splinter Review

Description Rick 2010-08-24 08:03:40 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.8) Gecko/20100722 Firefox/3.6.8 GTB7.1 (.NET CLR 3.5.30729)
Build Identifier: 3.6.2

I'm trying to create a saved search that looks for open bugs that are assigned a deadline value of today (i.e. things that need to be looked at today). I have a similar saved search for bugs with a deadline in the next few days. I can successfully go through the process of creating the search. After executing the search, the correct bugs show up according to my criteria. Above the bug list table it shows:
    *   Deadline:  (is less than or equal to) 2010-08-24 00:00:00
    * Status: UNCONFIRMED, NEW, ASSIGNED, INACTIVE, REOPENED
And the right bugs are present. I can save the search as a named query successfully. Clicking on the search executes a different query. After creating the query, the database is populated with the following entry:

DeadlineToday -> bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=INACTIVE&bug_status=REOPENED&query_format=advanced&order=bug_status%2Cpriority%2Cassigned_to%2Cbug_id



Reproducible: Always

Steps to Reproduce:
1. Navigate to advanced search page
2. Enter "now" for the to field of the Deadline
3. Select bug status criteria (e.g. UNCONFIRMED, NEW, ASSIGNED)
4. Execute query
5. Save search as "DeadlineToday"
6. Re-run new DeadlineToday search
Actual Results:  
The query is run using only the bug status criteria defined in step 3

Expected Results:  
The correct bug list should be returned as searched for with the advanced search page.
Comment 1 Frédéric Buclin 2010-08-24 09:36:13 PDT
I can reproduce with Bugzilla 3.6.2 and 3.7.3, but neither with Bugzilla 3.4.8 now 4.1.
Comment 2 Frédéric Buclin 2010-09-01 14:26:26 PDT
Regression due to bug 283609.
Comment 3 Frédéric Buclin 2010-09-01 14:40:35 PDT
This is only a problem when the deadline is set to "Now". Absolute dates are kept in the query.
Comment 4 Frédéric Buclin 2010-09-01 15:15:19 PDT
Created attachment 471307 [details] [diff] [review]
patch for 3.6 and 4.0, v1

ghendricks, please retarget the review request to dkl or mkanat if you don't feel confident with this patch. I ask you for review because you wrote the original code in bug 283609.
Comment 5 Frédéric Buclin 2010-09-02 11:59:14 PDT
Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.0/
modified Bugzilla/Search.pm
Committed revision 7394.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/3.6/
modified Bugzilla/Search.pm
Committed revision 7168.

Note You need to log in before you can comment on or make changes to this bug.